input[type="checkbox"] {
  margin-top: auto;
  margin-bottom: auto;
  margin-right: 4px;
}

input[type="text"],
input[type="date"],
textarea {
  border: 1px solid $color-dark-grey;
  color: $color-grey;
  font-size: 16px;
  height: 27px;
  margin: 9px;
  padding: 8px 12px;
  &.required {
    border-color: $color-green;
  }
  &.error {
    border-color: $color-red;
  }
  &::placeholder {
    color: $color-dark-grey;
  }
  &:focus {
    border-color: $color-dark-purple;
    color: $color-purple;
    outline: none;
  }
}
textarea {
  box-sizing: border-box;
  width: 60%;
  height: 3em;
  display: block;
  padding: 8px 12px;
}
select {
  background: $color-white;
  border: 1px solid $color-dark-grey;
  color: $color-grey;
  font-size: 16px;
  height: 45px;
  margin: 9px;
  padding: 8px 12px;
  &.required {
    border-color: $color-green;
    color: $color-grey;
  }
  &.error {
    border-color: $color-red;
  }
  &:focus {
    border-color: $color-dark-purple;
    color: $color-purple;
    outline: none;
  }
}

.field-row {
  align-items: center;
  box-sizing: border-box;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  width: 100%;

  @include breakpoint($screen-m) {
    flex-wrap: nowrap;
  }
}

.required {
  color: $color-green;
}
